Subject: qpopper, imap3d, and UNIX mbox-format files

From: "Steve \"Stevers!\" Coile" <[email-masked]>
Date: Wed, 27 Nov 1996 12:38:32 -0500 (EST)

On Wed, 27 Nov 1996, Skull wrote:
> >        I'm not at my machine, so I dont know if RH4 includes this, but does
> >anyone know where I can get a good and easy pop3 server?  I'm getting a
> >static IP and Domain name and would like to have my email delivered right to
> >my linux box.
> 
> yes, its in an rpm called imap that comes in redhat 4, or you can find
> qpopper...

Qpopper does not appear to be in active development any longer.  Also,
qpopper doesn't properly update inboxes in the event that mail arrives
while mail is being served to the POP client.  Qpopper is less memory
intensive than ipop3d is, but it's not as well supported and doesn't
handle real-world situations very well (read: it's buggy).

We just recently dealt with qpopper because ipop3d was simply consuming
too much memory and was driving our primary server into the ground.
We switched to qpopper, which immediately solved our memory and
performance problems, but all of a sudden user mailboxes started getting
corrupted.  We've since increased the memory in our system and have gone
back to ipop3d.

We've contacted Mark Crispin, author of ipop3d and much of the IMAP suite.
Mr. Crispin suggests moving to a mail system that doesn't store messages
in the standard UNIX "mbox" format.  The mbox format is not designed for
modern day mail systems, and can't be manipulated very well.  As a result,
you encounter programs like qpopper that make invalid assumptions about
how mail will be handled, or programs like ipop3d that require extreme
amounts of resources in order to work around the problems inherent in
the underlying mail system.

Mr. Crispin suggests moving to an alternative mail system where messages
are stored in a different, more easily manipulated format, to improve
performance *and* security, and to reduce (or at least level-out)
resource demands.  Unfortunately, this would result in incompatabilities
between the new mail system and older mail clients, such as "mail",
"Mail", and "elm", that don't support other mailbox formats and can't
retreive mail via POP or IMAP.  The solution in these cases is to offer
wrappers that would retreive mail via POP3 or IMAP using "popclient"
or "fetchmail", store the mail in an mbox-format file, then invoke the
mbox-format-capable client to read the contents of that file.

--
    Steve Coile           P a t r i o t  N e t      Systems Engineering
 [email-masked]      Patriot Computer Group        (703) 277-7737